why go-ipfs can't run in alphine linux?

when I download https://github.com/ipfs/go-ipfs/releases/download/v0.4.22/go-ipfs_v0.4.22_linux-amd64.tar.gz
I unzip this file.
but I can’t run go-ipfs run in alphine linux 3.10
who can help me to resolve this problem?

What is the error that you get when you try to run it?

This is my platform show:
putty_2019-11-09_11-13-42

I found something problem like this.

Is this go build problem?

I resolve this problem by myself

putty_2019-11-09_11-32-19

run:

mkdir /lib64 && ln -s /lib/libc.musl-x86_64.so.1 /lib64/ld-linux-x86-64.so.2
1 Like

The way I solved this is by running apk add libc6-compat.

1 Like